# Uses of Interface
org.opensaml.soap.wstrust.Primary

Packages that use Primary
Package
Description
org.opensaml.soap.wstrust
XMLObject interfaces for WS-Trust 1.3 elements.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of Primary in org.opensaml.soap.wstrust

Methods in org.opensaml.soap.wstrust that return Primary
Modifier and Type
Method
Description
`Primary`
Participants.`getPrimary()`
Returns the wst:Primary child element.
Methods in org.opensaml.soap.wstrust with parameters of type Primary
Modifier and Type
Method
Description
`void`
Participants.`setPrimary(Primary primary)`
Sets the wst:Primary child element.

## Uses of Primary in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement Primary
Modifier and Type
Class
Description
`class`
`PrimaryImpl`
PrimaryImpl.
Fields in org.opensaml.soap.wstrust.impl declared as Primary
Modifier and Type
Field
Description
`private Primary`
ParticipantsImpl.`primary`
The `Primary` child element.
Methods in org.opensaml.soap.wstrust.impl that return Primary
Modifier and Type
Method
Description
`Primary`
PrimaryBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`Primary`
PrimaryBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Primary`
ParticipantsImpl.`getPrimary()`
Returns the wst:Primary child element.
Methods in org.opensaml.soap.wstrust.impl with parameters of type Primary
Modifier and Type
Method
Description
`void`
ParticipantsImpl.`setPrimary(Primary newPrimary)`
Sets the wst:Primary child element.